<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Quickstart to anonym your data set &mdash; anonym anonym documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=14175b09"></script>
        <script src="_static/doctools.js?v=888ff710"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Github" href="Documentation.html" />
    <link rel="prev" title="Import and saving" href="Import%20and%20save.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            anonym
          </a>
              <div class="version">
                0.1.1
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
    
              <p class="caption" role="heading"><span class="caption-text">Installation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="Installation.html#uninstalling">Uninstalling</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Methods</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html">Algorithm</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#named-entity-recognition-catagories">Named Entity Recognition Catagories</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#faking-the-data-entries">Faking the data entries</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html">Import and saving</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#import-from-csv">Import from csv</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#saving-to-csv">Saving to csv</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Examples</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Quickstart to anonym your data set</a></li>
<li class="toctree-l1"><a class="reference internal" href="#anonymize-data-set-with-user-defined-specifications">Anonymize data set with user defined specifications</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Documentation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html">Github</a></li>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html#colab-notebook">Colab Notebook</a></li>
<li class="toctree-l1"><a class="reference internal" href="Coding%20quality.html">Coding quality</a></li>
<li class="toctree-l1"><a class="reference internal" href="anonym.anonym.html">API References</a></li>
</ul>

    <a href= "genindex.html">Index</a>
  
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">anonym</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Quickstart to anonym your data set</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/Examples.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-anonym.anonym.anonym.anonymize">
<span id="quickstart-to-anonym-your-data-set"></span><h1>Quickstart to anonym your data set<a class="headerlink" href="#module-anonym.anonym.anonym.anonymize" title="Link to this heading"></a></h1>
<p>Anonymize the input dataframe.</p>
<dl class="field-list simple">
<dt class="field-odd">param df<span class="colon">:</span></dt>
<dd class="field-odd"><p>DataFrame to be anonymized.</p>
</dd>
<dt class="field-even">type df<span class="colon">:</span></dt>
<dd class="field-even"><p>pd.DataFrame</p>
</dd>
<dt class="field-odd">param fakeit<span class="colon">:</span></dt>
<dd class="field-odd"><p>Dictionary of column names and their fake replacements, by default None</p>
</dd>
<dt class="field-even">type fakeit<span class="colon">:</span></dt>
<dd class="field-even"><p>dict, optional</p>
</dd>
<dt class="field-odd">param do_not_fake<span class="colon">:</span></dt>
<dd class="field-odd"><p>List of column names that should not be faked, by default None</p>
</dd>
<dt class="field-even">type do_not_fake<span class="colon">:</span></dt>
<dd class="field-even"><p>list, optional</p>
</dd>
<dt class="field-odd">param NER_blacklist<span class="colon">:</span></dt>
<dd class="field-odd"><p>List of named entity recognition labels to be ignored, by default [‘CARDINAL’, ‘GPE’, ‘PRODUCT’, ‘DATE’]</p>
</dd>
<dt class="field-even">type NER_blacklist<span class="colon">:</span></dt>
<dd class="field-even"><p>list, optional</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="c1"># Example 1</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">filepath</span><span class="o">=</span><span class="sa">r</span><span class="s1">&#39;./names_per_department.csv&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">filepath_fake</span><span class="o">=</span><span class="sa">r</span><span class="s1">&#39;./names_per_department_fake.csv&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Load library</span>
<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">anonym</span> <span class="kn">import</span> <span class="n">anonym</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Initialize</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">model</span> <span class="o">=</span> <span class="n">anonym</span><span class="p">(</span><span class="n">language</span><span class="o">=</span><span class="s1">&#39;dutch&#39;</span><span class="p">,</span> <span class="n">verbose</span><span class="o">=</span><span class="s1">&#39;info&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Import csv data from file</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">df</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">import_data</span><span class="p">(</span><span class="n">filepath</span><span class="p">,</span> <span class="n">delim</span><span class="o">=</span><span class="s1">&#39;;&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Anonimyze the data set</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">df_fake</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">anonymize</span><span class="p">(</span><span class="n">df</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Write to csv</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">model</span><span class="o">.</span><span class="n">to_csv</span><span class="p">(</span><span class="n">df_fake</span><span class="p">,</span> <span class="n">filepath_fake</span><span class="p">)</span>
</pre></div>
</div>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="c1"># Example 2</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Load library</span>
<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">anonym</span> <span class="kn">import</span> <span class="n">anonym</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Initialize</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">model</span> <span class="o">=</span> <span class="n">anonym</span><span class="p">(</span><span class="n">language</span><span class="o">=</span><span class="s1">&#39;english&#39;</span><span class="p">,</span> <span class="n">verbose</span><span class="o">=</span><span class="s1">&#39;info&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Import example data set</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">df</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">import_example</span><span class="p">(</span><span class="s1">&#39;titanic&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Anonimyze the data set</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">df_fake</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">anonymize</span><span class="p">(</span><span class="n">df</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">returns<span class="colon">:</span></dt>
<dd class="field-odd"><p>Anonymized DataFrame.</p>
</dd>
<dt class="field-even">rtype<span class="colon">:</span></dt>
<dd class="field-even"><p>pd.DataFrame</p>
</dd>
</dl>
</section>
<section id="anonymize-data-set-with-user-defined-specifications">
<h1>Anonymize data set with user defined specifications<a class="headerlink" href="#anonymize-data-set-with-user-defined-specifications" title="Link to this heading"></a></h1>
<p>The <code class="docutils literal notranslate"><span class="pre">anonym</span></code> library automatically anonymize all available data in a data set.
Because of the NER approach, not all columns can be correctly anonymized. We can manually
control this by specifying the entity for each column. In the example below we will demonstrate how
to force some of the columns into PERSON or DATE while other needs to remain untouched.
Note that all columns that are not specified are automatically detected with entities and faked consistently.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Filepath</span>
<span class="n">filepath</span><span class="o">=</span><span class="sa">r</span><span class="s1">&#39;C:\temp\extern_people_per_dep.csv&#39;</span>
<span class="n">filepath_fake</span><span class="o">=</span><span class="sa">r</span><span class="s1">&#39;C:\temp\extern_people_per_dep_fake.csv&#39;</span>

<span class="c1"># Import library</span>
<span class="kn">from</span> <span class="nn">anonym</span> <span class="kn">import</span> <span class="n">anonym</span>
<span class="c1"># Initialize</span>
<span class="n">model</span> <span class="o">=</span> <span class="n">anonym</span><span class="p">(</span><span class="n">verbose</span><span class="o">=</span><span class="s1">&#39;info&#39;</span><span class="p">)</span>
<span class="c1"># Import data set</span>
<span class="n">df</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">import_data</span><span class="p">(</span><span class="n">filepath</span><span class="p">)</span>

<span class="c1"># Set column names that needs to remain untoched</span>
<span class="n">do_not_fake</span><span class="o">=</span><span class="p">[</span><span class="s1">&#39;Functie&#39;</span><span class="p">,</span> <span class="s1">&#39;ID (functie)&#39;</span><span class="p">]</span>

<span class="c1"># Force the following columns to be catagorized as a specific Entity</span>
<span class="n">fakeit</span> <span class="o">=</span> <span class="p">{</span><span class="s1">&#39;Budgethouder&#39;</span><span class="p">:</span><span class="s1">&#39;PERSON&#39;</span><span class="p">,</span>
          <span class="s1">&#39;Behoeftesteller&#39;</span><span class="p">:</span> <span class="s1">&#39;PERSON&#39;</span><span class="p">,</span>
          <span class="s1">&#39;Project- afdeling&#39;</span><span class="p">:</span> <span class="s1">&#39;ORG&#39;</span><span class="p">,</span>
          <span class="s1">&#39;Financieringsbron&#39;</span><span class="p">:</span> <span class="s1">&#39;EVENT&#39;</span><span class="p">,</span>
          <span class="s1">&#39;Naam&#39;</span><span class="p">:</span> <span class="s1">&#39;PERSON&#39;</span><span class="p">,</span>
          <span class="s1">&#39;Startdatum&#39;</span><span class="p">:</span> <span class="s1">&#39;DATE&#39;</span><span class="p">,</span>
          <span class="s1">&#39;Einddatum&#39;</span><span class="p">:</span> <span class="s1">&#39;DATE&#39;</span><span class="p">,</span>
          <span class="s1">&#39;Mogelijke Einddatum&#39;</span><span class="p">:</span> <span class="s1">&#39;DATE&#39;</span><span class="p">,</span>
          <span class="s1">&#39;Mogelijke Einddatum&#39;</span><span class="p">:</span> <span class="s1">&#39;DATE&#39;</span><span class="p">,</span>
          <span class="s1">&#39;Totaal verpl.&#39;</span><span class="p">:</span> <span class="s1">&#39;MONEY&#39;</span><span class="p">,</span>
          <span class="s1">&#39;Kasrealisatie&#39;</span><span class="p">:</span> <span class="s1">&#39;MONEY&#39;</span><span class="p">,</span>
          <span class="p">}</span>

<span class="c1"># Run model</span>
<span class="n">df_fake</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">anonymize</span><span class="p">(</span><span class="n">df</span><span class="p">,</span> <span class="n">fakeit</span><span class="o">=</span><span class="n">fakeit</span><span class="p">,</span> <span class="n">do_not_fake</span><span class="o">=</span><span class="n">do_not_fake</span><span class="p">)</span>

<span class="c1"># Export to csv</span>
<span class="n">model</span><span class="o">.</span><span class="n">to_csv</span><span class="p">(</span><span class="n">df_fake</span><span class="p">,</span> <span class="n">filepath_fake</span><span class="p">)</span>
</pre></div>
</div>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="Import%20and%20save.html" class="btn btn-neutral float-left" title="Import and saving" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="Documentation.html" class="btn btn-neutral float-right" title="Github" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Data en Innovatielab (IenW).</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>